gobject.GBoxed
Prev | PyGObject Class Reference | Next

## gobject.GBoxed

gobject.GBoxed — an object containing an opaque chunk of data

## Synopsis

    class gobject.GBoxed:
        def copy()

## Ancestry

    +-- gobject.GBoxed

## Description

`gobject.GBoxed` is an abstract base class that encapsulates an opaque chunk of data to provide an object-oriented interface and a type that is registered with the `GLIB` type system. A boxed type is registered with functions that provide for the copying and freeing of the underlying data structure - this allows PyGTK to encapsulate these as Python objects.

## Methods

### gobject.GBoxed.copy

        def copy()

Returns : | a copy of the `gobject.GBoxed` object

The `copy`() method makes and returns a copy of the boxed object.

Prev | Up | Next
gobject.GObject | Home | gobject.GPointer